Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage] installer une vieille version de linux-wlan-ng
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
ablyes
Guru
Guru


Joined: 06 Nov 2004
Posts: 429

PostPosted: Fri Jun 03, 2005 8:50 pm    Post subject: [portage] installer une vieille version de linux-wlan-ng Reply with quote

salut les gas,
je suis en gentoo-source 2.6.11r8 (la r9 étant la derniere version)
je voulais installer linux-wlan-ng seuleulement il me dit que j'ai besoin d'une plus vieille version, pour l'instant je veux garder mon noyau.
donc je fais
Code:
emerge =linux-wlan-ng-0.2.1_pre17
comme il me l'a si bien suggéré
Code:
(please use linux-wlan-ng-0.2.1_pre17 for 2.6 kernels).

résultat :
Code:
emerge: there are no ebuilds to satisfy"=linux-wlan-ng-0.2.1_pre17".


Que faire en plus ? (je viens de mettre à jour mon system)
Back to top
View user's profile Send private message
Adrien
Advocate
Advocate


Joined: 13 Jul 2004
Posts: 2249
Location: Paris - France

PostPosted: Fri Jun 03, 2005 8:58 pm    Post subject: Reply with quote

Tu as vérifié que cette version est dans portage?
Essaie :
Code:
# etcat -v linux-wlan-ng

Ca va te donner toutes les versions disponibles pour ce paquet.
Back to top
View user's profile Send private message
ablyes
Guru
Guru


Joined: 06 Nov 2004
Posts: 429

PostPosted: Fri Jun 03, 2005 9:25 pm    Post subject: Reply with quote

ya que la version 0.21_pre20 et la version 0.21_pre23
en unmasked. je retrouve plus la commande pour installer.
si non y a un autre moyen c'est de le rajouter dans /etc/portages/packages.keyword ? (ou unmasket ou les deux sais plus, j'ai essayé ça marche pas, je ne sais pas si je dois mettre _pre20 a la fin)

help
Back to top
View user's profile Send private message
ablyes
Guru
Guru


Joined: 06 Nov 2004
Posts: 429

PostPosted: Fri Jun 03, 2005 9:29 pm    Post subject: Reply with quote

Dans /etc/portage/package.unmask
Code:
net-wireless/linux-wlan-ng-0.2.1_pre20 -*
Back to top
View user's profile Send private message
Adrien
Advocate
Advocate


Joined: 13 Jul 2004
Posts: 2249
Location: Paris - France

PostPosted: Fri Jun 03, 2005 9:38 pm    Post subject: Reply with quote

ablyes wrote:
Dans /etc/portage/package.unmask
Code:
net-wireless/linux-wlan-ng-0.2.1_pre20 -*

Je crois plutôt que c'est comme ça :
Code:
net-wireless/linux-wlan-ng -*

ou comme ça:
Code:
net-wireless/linux-wlan-ng ~x86

Quand tu mets un -* ça démasque toutes les versions masquées, y compris les versions hardmaskées (très instables ou autre) donc fais quand même attention avec le -* de ne pas démasquer une version hardmaskée d'un paquet vital au système car sinon, à ta^prochaine mise à jour, tu pourrais avoir de mauvaises surprises! :P

edit: Excuse, j'ai dit n'importe quoi (je confonds avec le fichier package.keywords) ....fatigué là! :?
Donc considère que ce que je t'ai dit est valable pour le fichier package.keywords.
Pour le package.unmask je suis pas sûr de m'en être déjà servi! désolé! :)
Back to top
View user's profile Send private message
ablyes
Guru
Guru


Joined: 06 Nov 2004
Posts: 429

PostPosted: Fri Jun 03, 2005 9:46 pm    Post subject: Reply with quote

ça ne marche pas :(
A propos pendant l'emerge sans rien mettre dans les fichiers package.*
j'ai ça :
For now, you will need to disable sandbox to get this merge
See bug #32737 for info on work being done to fix this
Back to top
View user's profile Send private message
ablyes
Guru
Guru


Joined: 06 Nov 2004
Posts: 429

PostPosted: Fri Jun 03, 2005 9:56 pm    Post subject: Reply with quote

ACCEPT_KEYWORDS="~x86" emerge ...mon machin...
saloperie de merde, j'avais oublie le S dans KEYWORDS

quand je mets a jour ma gentoo, est ce que les paquets instable seront mis a jour ? je veux dire pour qu'ils soient plus instable avec une nouvelle mise a jour.

si non si je ne le fais pendant des mois, que ce passe-t-il si la version stable depasse la version instable ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum